package com.ccwangluo.ccim.modle;

import java.io.Serializable;

public class Contact implements Serializable {
    private Long contactUserId;
    private String contactUserName;
    private Long privateId;
    private NetStatus netStatus = NetStatus.NET_STATUS_ONLINE;
    private String extData;
    private Long contactGroupId = 0L;


    public Long getContactUserId() {
        return contactUserId;
    }

    public void setContactUserId(Long contactUserId) {
        this.contactUserId = contactUserId;
    }

    public String getContactUserName() {
        return contactUserName;
    }

    public void setContactUserName(String contactUserName) {
        this.contactUserName = contactUserName;
    }

    public Long getPrivateId() {
        return privateId;
    }

    public void setPrivateId(Long privateId) {
        this.privateId = privateId;
    }

    public NetStatus getNetStatus() {
        return netStatus;
    }

    public void setNetStatus(NetStatus netStatus) {
        this.netStatus = netStatus;
    }

    public String getExtData() {
        return extData;
    }

    public void setExtData(String extData) {
        this.extData = extData;
    }

    public Long getContactGroupId() {
        return contactGroupId;
    }

    public void setContactGroupId(Long contactGroupId) {
        this.contactGroupId = contactGroupId;
    }

}

